חתימות
רשימת חתימות
POST
/api/v1/webhookקבלת רשימת כל בקשות החתימה בארגון עם תמיכה בדפדוף וסינון לפי סטטוס.
אימות
Authorizationstringheaderחובהכותרת אימות מסוג Bearer <token>, כאשר <token> הוא מפתח ה-API שלך.
פרמטרים
pagenumberמספר עמוד
limitnumberמספר תוצאות לעמוד (1-100)
statusstringסינון לפי סטטוס: sent, signed, cancelled, expired
תשובה
200 — application/json
successbooleanחובהמציין אם הבקשה הצליחה
dataobjectאובייקט המכיל את נתוני התשובה
רשימת חתימות
const response = await fetch('https://crm.heybase.co.il/api/v1/webhook', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"action": "list_signatures",
"page": 1,
"limit": 10,
"status": "sent"
}),
})
const data = await response.json()200
{
"success": true,
"data": [
{
"id": "sig_req_001",
"documentName": "הסכם שירות",
"recipientName": "ישראל ישראלי",
"recipientEmail": "israel@example.com",
"status": "sent",
"sentVia": "email",
"signedAt": null,
"createdAt": "2024-03-25T09: 00: 00.000Z"
},
{
"id": "sig_req_002",
"documentName": "חוזה עבודה",
"recipientName": "שרה כהן",
"recipientEmail": "sara@example.com",
"status": "sent",
"sentVia": "email",
"signedAt": null,
"createdAt": "2024-03-24T15: 00: 00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 2,
"hasMore": false
}
}בעמוד זה
